## org.hibernate.ejb.criteria
Class ValueHandlerFactory.ByteValueHandler

    java.lang.Object
      org.hibernate.ejb.criteria.ValueHandlerFactory.BaseValueHandler<Byte>
          org.hibernate.ejb.criteria.ValueHandlerFactory.ByteValueHandler

All Implemented Interfaces:
  Serializable, ValueHandlerFactory.ValueHandler<Byte>

Enclosing class:
  ValueHandlerFactory

    public static class ValueHandlerFactory.ByteValueHandler

extends ValueHandlerFactory.BaseValueHandler<Byte>
implements Serializable

See Also:
  Serialized Form

Field Summary
`static ValueHandlerFactory.ByteValueHandler` `INSTANCE`

Constructor Summary
`ValueHandlerFactory.ByteValueHandler()`

Method Summary
`Byte` `convert(Object value)`

Methods inherited from class org.hibernate.ejb.criteria.ValueHandlerFactory.BaseValueHandler
`render`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final ValueHandlerFactory.ByteValueHandler INSTANCE

Constructor Detail

### ValueHandlerFactory.ByteValueHandler

    public ValueHandlerFactory.ByteValueHandler()

Method Detail

### convert

    public Byte convert(Object value)

  Specified by:
    `convert` in interface `ValueHandlerFactory.ValueHandler<Byte>`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.